@font-face {
	font-family: 'archivo_expandedextrabold';
	src: url('fonts/archivoexpanded-extrabold-webfont.woff2') format('woff2'),
		 url('fonts/archivoexpanded-extrabold-webfont.woff') format('woff');
	font-weight: normal;
	font-style: normal;

}

#topbar {
	height: 124px;
}

.topbarleft {
	font-family: 'archivo_expandedextrabold';
	font-size:44px;
	text-transform: uppercase;
	background: linear-gradient(90.54deg, #44FFBC 0%, #00C2FF 58.71%, #00FFD1 103.28%);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
	text-fill-color: transparent;
	float: left;
	line-height: 124px;
}

.topbarright {
	font-family: 'Space Mono', monospace;
	font-size:24px;
	font-weight: 400;
	text-transform: uppercase;
	float: right;
	height: 124px;
	width: 183px;
	text-align: center;
	line-height: 124px;
}

#maincontainer {
	max-width: 1200px;
	margin: auto;
	padding: 0 30px;
}

/* to adjust height to floating child */
#maincontainer:after {
    content: ".";
    display: block;
    clear: both;
    visibility: hidden;
    line-height: 0;
    height: 0;
}

#subcontainer {
	background-color: red;
}

#settings {
	float: left;
	position: sticky;
	top: 20px;
	width: 240px;
	padding: 14px;
	background: #414141;
	border-radius: 2px;
	border: 2px solid;
	border-image: linear-gradient(174.53deg, #40FCC0 -1.24%, #04C5FC 47.8%, #04EDCC 100%) 10;
	-webkit-mask:
		linear-gradient(#fff 0 0) padding-box, 
		linear-gradient(#fff 0 0);
}

.settingstitle {
	font-family: 'Space Mono';
	font-style: normal;
	font-weight: 700;
	font-size: 24px;
	letter-spacing: 0.15em;
	text-transform: uppercase;
	color: #40FCC0;
}

.settingssubtitle {
	font-family: 'Space Grotesk';
	font-style: normal;
	font-weight: 700;
	font-size: 16px;
	color: #01C1FE;	
}

input[type="number" i] {
	width: 40px;
}

input[type="text" i] {
	width: 100px;
}

#applysettings {
    width: 240px;
    height: 50px;
    background: linear-gradient(95.99deg, #01C3FF 3.73%, #005CC9 85.41%);
    border-radius: 4px;
    border: none;
	font-family: 'Space Mono';
	font-style: normal;
	font-weight: 700;
	font-size: 16px;
	line-height: 24px;
	color: #FFFFFF;
	text-transform: uppercase;
}

#applysettings:hover {
	font-size: 17px;
	cursor: pointer;
    /*moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
	    background-position: 100% 0;
	background: linear-gradient(95.99deg, #d6f5ff 3.73%, #01C3FF 85.41%);
	/**/
}

#boxes {
	float: left;
	width: 888px;
	min-height: 700px;
	margin: 0 20px;
	/* background-color: green; /**/
}


#updown {
	position: sticky;
    top: 50%;
    left: 50px;
	height: 100px;
	width: 32px;
	background-color: red;
}

#updown div {
	box-sizing: border-box;
	width: 32px;
	height: 32px;
	background: #414141;
    border-radius: 2px;
    border: 2px solid;
    border-image: linear-gradient(174.53deg, #40FCC0 -1.24%, #04C5FC 47.8%, #04EDCC 100%) 10;
    -webkit-mask: linear-gradient(#fff 0 0) padding-box, linear-gradient(#fff 0 0);


}
/* */

/*
#up {
box-sizing: border-box;

position: absolute;
width: 32px;
height: 32px;
left: 1288px;
top: 747px;

background: #414141;
border-radius: 4px;
background-color: red;
}
*/

.pokemonbox {
	/* background-color: grey; /**/
	float: left;
}

.boxtitle {
	/* background-color: darkgrey; /**/
	margin: 0 10px;
    height: 45px;
    font-family: 'Space Mono';
    font-weight: 700;
    font-size: 32px;
    line-height: 45px;
    letter-spacing: 0.15em;
    text-transform: uppercase;
    color: #40FCC0;
}

.boxnumber {
	height: 45px;
	width: 170px;
	float: left;
}

.boxline {
	height: 10px;
	width: 500px;
	float: left;
	width: 698px;
    height: 3px;
    margin: 21px 0;
	background: linear-gradient(90.01deg, #40FCC0 4.76%, #01C1FE 54.49%, #00FFD1 99.3%);
}

.pokemoncontainer {
	/* background-color: black; /**/
	float: left;
    margin: 7px;
    width: 134px;
	height: 250px;
}

.spritewrapper {
	text-align: center;
}

.pokemonsprite {
	vertical-align: middle;
	filter: drop-shadow(0px 0px 5px rgb(255,255,255));
}

.pokemondata {
	padding-left: 10px;
}

.datatitle {
	font-weight: 500;
	color: #40FCC0;
	/* text-align: center; */
}

.datandex {
}

.dataaldex {
}

.infomark {
    cursor: default;
    color: #005CC9;
    background-color: #FFFFFF;
	margin: 0 5px;
    padding: 0px 3px;
    font-size: 10px;
    border-style: solid;
    border-width: 1px;
	border-radius: 40px;
}

.imghowto {
	float: left;
    margin-right: 10px;
}

body{
	font-family: 'Space Grotesk', sans-serif;
	background-color: #333333;
	color: #DCDCDC;
}

h1 {
	font-family: 'Space Mono';
	font-style: normal;
	font-weight: 700;
	font-size: 32px;
	text-align: center;
	letter-spacing: 0.15em;
	text-transform: uppercase;
	color: #40FCC0;
}

h2 {
	font-family: 'Space Mono';
	font-style: normal;
	font-weight: 700;
	font-size: 16px;
	letter-spacing: 0.15em;
	text-transform: uppercase;
	color: #40FCC0;
}

a:link{
	text-decoration: none;
	color: #DCDCDC;
}

a:visited{
	text-decoration: none;
	color: #DCDCDC;	
}

a:hover{
	text-decoration: none;
	color: #DCDCDC;
}

a:active{
	text-decoration: none;
	color: #DCDCDC;
}

p {
	text-align: justify;
}

#footer {
	display: -webkit-inline-box; 
	margin-top: 20px; 
	margin-left: 25%; 
	width: 75%;
}

::-webkit-scrollbar {
	width: 8px;
}

/* Track */
::-webkit-scrollbar-track {
	background: #f1f1f1;
	border-radius: 4px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
	background: #888;
	border-radius: 4px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
	background: #555; 
}

#mobilemenu {
	display: none;
}

@media screen and (min-width: 1299px) { /* FOR COMPUTERS */
	#mobilemenuicon {
		display: none;
	}
}

@media screen and (max-width: 1299px) { /* FOR TABLETS AND MOBILES */
	#maincontainer {
		position: fixed;
		height: 100%;
		width: 100%;
		padding: 0px 5px 0px 0px;
		overflow-x: scroll;
	}
	
	#topbar {
		height: 140px;
		width: 100%;
		position: fixed;
		background-color: #333333;
		z-index: 1;
	}
	
	.topbarleft {
		position: absolute;
		width: 260px;
		left: 10px;
		top: 20px;
		font-size: 26px;
		line-height: 26px;
	}
	
	.topbarright {
		display: none;
	}
	
	#mobilemenuicon {
		position: fixed;
		z-index: 2;
		background-color: #333333;
		width: 48px;
		height: 48px;
		right: 30px;
		top: 20px;
		border-radius: 2px;
		border: 2px solid;
		border-image: linear-gradient(174.53deg, #40FCC0 -1.24%, #04C5FC 47.8%, #04EDCC 100%) 10;
		-webkit-mask: linear-gradient(#fff 0 0) padding-box, linear-gradient(#fff 0 0);
	}
	
	#mobilemenuicon .fa {
		font-size: 44px;
		margin: 2px 6px;
		background: linear-gradient(90.12deg, #40FCC0 -0.31%, #01C1FE 54.96%, #01F9D7 99.79%);
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
	}
	
	#mobilemenu {
		position: fixed;
		width: 100%;
		top: 80px;
		z-index: 3;
		background-color: #333333;
	}
	
	.mobilemenuelement {
		text-align: center;
		text-transform: uppercase;
		height: 50px;
		font-size: 24px;
		line-height: 50px;
		color: #DCDCDC;
	}
	
	#settings {
		position: fixed;
		z-index: 2;
		top: 90px;
		width: 96%;
		padding: 2px 0%;
		height: 36px;
		overflow-y: auto;
	}
	
	#settingsform {
		display: none;
	}
	
	#boxes {
		margin: 140px 0 0 0;
		position: absolute;
		height: 1px;
		width: 100%;
		max-width: 888px;
		
	}

	.boxtitle {
		font-size: 25px;
		line-height: 30px;
		height: 30px;
	}
	
	.boxnumber {
		height: 30px;
	}
	
	.boxline {
		height: 2px;
		margin: 14px 0;
		width: 690px;
		/*margin: 14px 0px 14px 110px;
		width: 50%;
		position: absolute;
		/*margin: 14px 0;
		width: 45%;/**/
	}
	
	.pokemonbox {
		float: none;
	}

	.maintitle {
		margin-top: 80px;
		font-size: 22px;
	}

	#footer {
		display: none;
	}

	body {
		position: fixed;
		width: 100%
	}
}

